<?php
add_action( 'customize_register', 'explora_customizer' );
function explora_customizer( $wp_customize ) {
	wp_enqueue_style('explora-customizr', get_template_directory_uri() .'/css/customizr.css');
	$explora_theme_options = explora_get_options();	
	/* Genral section */
	$wp_customize->add_panel( 'explora_theme_option', array('title' => __( 'Theme Options','explora' ), 'priority' => 1) );
    $wp_customize->add_section('explora_gen_sec', array(
		'title' => __( 'Theme General Options','explora' ),
        'description' => __('Here you can customize Your theme general Settings','explora'),
		'panel'=>'explora_theme_option',
		'capability'=>'edit_theme_options',
        'priority' => 35));
	
	// For Slider Settings	
	$wp_customize->add_section('slider_sec',	array('title' =>  __( 'Theme Slider Options','explora' ),
			'panel'=>'explora_theme_option',
            'description' => __('Here you can manage slider','explora'),
			'capability'=>'edit_theme_options',
            'priority' => 35,
        ) );
		
	$wp_customize->add_setting('explora_options[explora_slider]', 
		array('default'=>esc_attr($explora_theme_options['explora_slider']),
			'sanitize_callback'=>'explora_sanitize_checkbox',
			'capability'        => 'edit_theme_options',
		));
		
	$wp_customize->add_control( 'explora_slider', array('label'=> __( 'Show Slider on Home Page', 'explora' ),
		'type'=>'checkbox',
		'section'    => 'slider_sec',
		'settings'   => 'explora_options[explora_slider]',
	));
		
	for($i=1; $i<=3; $i++){
		$wp_customize->add_setting('explora_options[slide_image_'.$i.']', array('default'=>'','capability' => 'edit_theme_options', 'sanitize_callback'=>'explora_sanitize_integer'));
		$wp_customize->add_control(	
		new Slider_Image_Control($wp_customize,'slide_image_'.$i, array('label'=>'Slider Image '.$i, 'section'=>'slider_sec', 'settings' => 'explora_options[slide_image_'.$i.']')) 
		);
	}
	// For Service Section
	$wp_customize->add_section('service_section', array(	'title'=>__("Home Service Options",'explora'),	'panel'=>'explora_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
	
	$wp_customize->add_setting('explora_options[explora_service]',
		array('default'=>esc_attr($explora_theme_options['explora_service']),
			'sanitize_callback'=>'explora_sanitize_checkbox',
			'capability'        => 'edit_theme_options',
		));
	$wp_customize->add_control( 'explora_service', array(
		'label'        => __( 'Show Services on Home Page', 'explora' ),
		'type'=>'checkbox',
		'section'    => 'service_section',
		'settings'   => 'explora_options[explora_service]',
	) );
	
	$wp_customize->add_setting(
	'explora_options[explora_service_heading]',
		array(
		'default'=>esc_attr($explora_theme_options['explora_service_heading']),
		'sanitize_callback'=>'explora_sanitize_text',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'explora_service_heading', array(
		'label'        =>  __('Home Service Title', 'explora' ),
		'type'=>'text',
		'section'    => 'service_section',
		'settings'   => 'explora_options[explora_service_heading]'
	    ));
	
	$wp_customize->add_setting('explora_options[explora_service_desc]',	array('default'=>esc_attr($explora_theme_options['explora_service_desc']),'sanitize_callback'=>'explora_sanitize_text',	'capability'=>'edit_theme_options'));
	$wp_customize->add_control( 'explora_service_desc', 
		array('label'=>  __('Home Service Description', 'explora' ),
		'type'=>'text',	
		'section'    => 'service_section',
		'settings'   => 'explora_options[explora_service_desc]'));
		
	for($i=1; $i<=3; $i++){
	$wp_customize->add_setting('explora_options[ser_img_'.$i.']',array(	'default'=>'','capability' => 'edit_theme_options',	'sanitize_callback'=>'explora_sanitize_integer'));
	$wp_customize->add_control( new Slider_Image_Control( $wp_customize, 'ser_img_'.$i,	array('label'=> 'Service Image '.$i, 'section'=>'service_section','settings'=>'explora_options[ser_img_'.$i.']')));
	}

	/* Portfolio Options */
	$wp_customize->add_section('explora_port_section',array(
	'title'=>__("Home Portfolio Options",'explora'),
	'panel'=>'explora_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
	$wp_customize->add_setting(
		'explora_options[explora_portfolio]',
		array(
			'default'=>esc_attr($explora_theme_options['explora_portfolio']),
			'sanitize_callback'=>'explora_sanitize_checkbox',
			'capability'        => 'edit_theme_options',
		));
	$wp_customize->add_control( 'explora_portfolio', array(
		'label'        => __( 'Show Portfolio on Home Page', 'explora' ),
		'type'=>'checkbox',
		'section'    => 'explora_port_section',
		'settings'   => 'explora_options[explora_portfolio]',
	) );
	$wp_customize->add_setting(
	'explora_options[explora_portfolio_heading]',
		array(
		'default'=>esc_attr($explora_theme_options['explora_portfolio_heading']),
		'sanitize_callback'=>'explora_sanitize_text',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'explora_portfolio_heading', array(
		'label'        =>  __('Home Portfolio Title', 'explora' ),
		'type'=>'text',
		'section'    => 'explora_port_section',
		'settings'   => 'explora_options[explora_portfolio_heading]'
	    ));
	$wp_customize->add_setting( 'explora_options[explora_portfolio_desc]',
		array(
		'default'=>esc_attr($explora_theme_options['explora_portfolio_desc']),
		'sanitize_callback'=>'explora_sanitize_text',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'explora_portfolio_desc', array(
		'label'        =>  __('Home Portfolio Description', 'explora' ),
		'type'=>'text',
		'section'    => 'explora_port_section',
		'settings'   => 'explora_options[explora_portfolio_desc]'
	    ));	
	
	$wp_customize->add_setting(
		'explora_options[portfolio_category]',
			array(
			'default'=>'',
			'sanitize_callback'=>'explora_sanitize_text',
			'capability'        => 'edit_theme_options',
		));
	$wp_customize->add_control( 
		new explora_category_Control( 
		$wp_customize, 'portfolio_category',
		array(
		'label'    => 'Portfolio Category', 
		'section'  => 'explora_port_section',
		'settings' => 'explora_options[portfolio_category]',
	) ) );
	
	// For Home Blog Section
	$wp_customize->add_section('explora_blog_section',array(
	'title'=>__("Home Blog Options",'explora'),
	'panel'=>'explora_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
	$wp_customize->add_setting(
		'explora_options[explora_blog]',
		array(
			'default'=>esc_attr($explora_theme_options['explora_blog']),
			'sanitize_callback'=>'explora_sanitize_checkbox',
			'capability'        => 'edit_theme_options',
		)
	);
	$wp_customize->add_control( 'explora_blog', array(
		'label'        => __( 'Show Blog on Home Page', 'explora' ),
		'type'=>'checkbox',
		'section'    => 'explora_blog_section',
		'settings'   => 'explora_options[explora_blog]',
	) );
	$wp_customize->add_setting(
		'explora_options[explora_blog_title]',
		array(
			'default'=>esc_attr($explora_theme_options['explora_blog_title']),
			'capability' => 'edit_theme_options',
			'sanitize_callback'=>'explora_sanitize_text',
		));
	$wp_customize->add_control( 'explora_blog_title', array(
		'label'        => __('Home Blog Heading', 'explora' ),
		'type'=>'text',
		'section'    => 'explora_blog_section',
		'settings'   => 'explora_options[explora_blog_title]'
	) );
	$wp_customize->add_setting(
		'explora_options[explora_blog_desc]',
		array(
			'default'=>esc_attr($explora_theme_options['explora_blog_desc']),
			'capability' => 'edit_theme_options',
			'sanitize_callback'=>'explora_sanitize_text',
		));
	$wp_customize->add_control( 'explora_blog_desc', array(
		'label'        => __('Home Blog Description', 'explora' ),
		'type'=>'text',
		'section'    => 'explora_blog_section',
		'settings'   => 'explora_options[explora_blog_desc]'
	) );
	
	// Social section
    $wp_customize->add_section('explora_social_section',array(
	'title'=>__(" Social Options",'explora'),
	'panel'=>'explora_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
	
	$wp_customize->add_setting('explora_options[explora_social_media]', array('default'=>esc_attr($explora_theme_options['explora_social_media']),
		'sanitize_callback'=>'explora_sanitize_checkbox',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'explora_social_media', array(
		'label'        => __( 'Enable Social Media Icons in Header', 'explora' ),
		'type'=>'checkbox',
		'section'    => 'explora_social_section',
		'settings'   => 'explora_options[explora_social_media]'
	) );
	$wp_customize->add_setting(
	'explora_options[explora_footer_social_media]',
		array(
		'default'=>esc_attr($explora_theme_options['explora_footer_social_media']),
		'sanitize_callback'=>'explora_sanitize_checkbox',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'explora_footer_social_media', array(
		'label'        => __( 'Enable Social Media Icons in Footer', 'explora' ),
		'type'=>'checkbox',
		'section'    => 'explora_social_section',
		'settings'   => 'explora_options[explora_footer_social_media]'
	) );
	
	$wp_customize->add_setting(
	'explora_options[facbook_link]',
		array(
		'default'=>esc_attr($explora_theme_options['facbook_link']),
		'sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'facbook_link', array(
		'label'        => __( 'Facebook', 'explora' ),
		'type'=>'url',
		'section'    => 'explora_social_section',
		'settings'   => 'explora_options[facbook_link]'
	) );
	$wp_customize->add_setting(
	'explora_options[twitter_link]',
		array(
		'default'=>esc_attr($explora_theme_options['twitter_link']),
		'sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
		));
		$wp_customize->add_control( 'twitter_link', array(
		'label'        => __( 'Twitter', 'explora' ),
		'type'=>'url',
		'section'    => 'explora_social_section',
		'settings'   => 'explora_options[twitter_link]'
	) );
	
	$wp_customize->add_setting(
	'explora_options[youtube_link]',
		array(
		'default'=>esc_attr($explora_theme_options['youtube_link']),
		'sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
		)
	);
		$wp_customize->add_control( 'youtube_link', array(
		'label'        => __( 'Youtube', 'explora' ),
		'type'=>'url',
		'section'    => 'explora_social_section',
		'settings'   => 'explora_options[youtube_link]'
	) );
	$wp_customize->add_setting(
	'explora_options[linkdin_link]',
		array(
		'default'=>esc_attr($explora_theme_options['linkdin_link']),
		'sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
		) );
	$wp_customize->add_control( 'linkdin_link', array(
		'label'        => __( 'Linkedin', 'explora' ),
		'type'=>'url',
		'section'    => 'explora_social_section',
		'settings'   => 'explora_options[linkdin_link]'
	) );
	$wp_customize->add_setting(
	'explora_options[goglpls_link]',
		array(
		'default'=>esc_attr($explora_theme_options['goglpls_link']),
		'sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
		) );
	$wp_customize->add_control( 'goglpls_link', array(
		'label'        => __( 'Google Plus', 'explora' ),
		'type'=>'url',
		'section'    => 'explora_social_section',
		'settings'   => 'explora_options[goglpls_link]'
	) );
	
	// Footer Section
	$wp_customize->add_section('footer_section',array(
	'title'=>__("Footer Options",'explora'),
	'panel'=>'explora_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));	
	$wp_customize->add_setting(
	'explora_options[explora_footer_text]',
		array(
		'default'=>esc_attr($explora_theme_options['explora_footer_text']),
		'sanitize_callback'=>'explora_sanitize_text',
		'capability'=>'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'explora_footer_text', array(
		'label'        => __( 'Developed By Text', 'explora' ),
		'type'=>'text',
		'section'    => 'footer_section',
		'settings'   => 'explora_options[explora_footer_text]'
	) );
	$wp_customize->add_setting(
	'explora_options[explora_footer_link_text]',
		array(
		'default'=>esc_attr($explora_theme_options['explora_footer_link_text']),
		'sanitize_callback'=>'explora_sanitize_text',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'explora_footer_link_text', array(
		'label'        => __( 'Footer Customization Text', 'explora' ),
		'type'=>'text',
		'section'    => 'footer_section',
		'settings'   => 'explora_options[explora_footer_link_text]'
	) );
	$wp_customize->add_setting(
	'explora_options[explora_footer_link]',
		array(
		'default'=>esc_attr($explora_theme_options['explora_footer_link']),
		'capability'=>'edit_theme_options',
		'sanitize_callback'=>'esc_url_raw'
		));
	$wp_customize->add_control( 'explora_footer_link', array(
		'label'        => __( 'Developed By Link', 'explora' ),
		'type'=>'url',
		'section'    => 'footer_section',
		'settings'   => 'explora_options[explora_footer_link]'
	) );   
	$wp_customize->add_section( 'explora_more' , array(
				'title'      	=> __( 'Upgrade to Explora Premium -10%OFF', 'explora' ),
				'priority'   	=> 999,
				'panel'=>'explora_theme_option',
			) );

			$wp_customize->add_setting( 'explora_more', array(
				'default'    		=> null,
				'sanitize_callback' => 'sanitize_text_field',
			) );

			$wp_customize->add_control( new explora_More_Control( $wp_customize, 'explora_more', array(
				'label'    => __( 'Explora Premium', 'explora' ),
				'section'  => 'explora_more',
				'settings' => 'explora_more',
				'priority' => 1,
			) ) );
}

function explora_sanitize_text( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}
function explora_sanitize_checkbox( $input ) {
   if ( $input == 1 ) {
        return 'on' ;
    } else {
        return 'off';
    }
}
function explora_sanitize_integer( $input ) {
    return (int)($input);
}

/* class for thumbnail images */
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'Slider_Image_Control' ) ) :
class Slider_Image_Control extends WP_Customize_Control 
{   public function render_content(){ ?>
	<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
	<?php $args = array( 'post_type' => 'post','posts_per_page'=> -1, 'post_status'=>'publish',); 
		$explora_post = new WP_Query( $args ); ?>
		<select <?php $this->link(); ?> >
		<option value= "" <?php if($this->value()=='') echo 'selected="selected"';?>><?php esc_html_e('Default Image','explora'); ?></option>
		<?php if($explora_post->have_posts()):
			while($explora_post->have_posts()):
				$explora_post->the_post();
				if(has_post_thumbnail()){ ?><option value= "<?php echo get_the_id(); ?>"<?php if($this->value()== get_the_id() ) echo 'selected="selected"';?>><?php the_title(); ?></option><?php }
			endwhile;
			wp_reset_postdata();
	     endif; ?>
		 </select>
		 <?php
}  /* public function ends */
}/*   class ends */
endif;

/* class for categories */
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'explora_category_Control' ) ) :
class explora_category_Control extends WP_Customize_Control 
{   public function render_content(){ ?>
		<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
		<?php  $explora_category = get_categories(); ?>
		<select <?php $this->link(); ?> >
			<option value= "" <?php if($this->value()=='') echo 'selected="selected"';?>><?php esc_html_e('Default Image','explora'); ?></option>
			<?php foreach($explora_category as $category){ ?>
				<option value= "<?php echo $category->cat_name; ?>" <?php if($this->value()=='') echo 'selected="selected"';?> ><?php echo $category->cat_name; ?></option>
			<?php } ?>
		</select> <?php
	}  /* public function ends */
}/*   class ends */
endif; 

if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'explora_More_Control' ) ) :
class explora_More_Control extends WP_Customize_Control {

	/**
	* Render the content on the theme customizer page
	*/
	public function render_content() { ?>
			<div class="row">
		<div class="col-md-4">
				<div class="stitched"><?php _e("Coupon Code : 10%OFF","explora") ;?>	</div>
		
		
		
		</div>
		</div>
		<label style="overflow: hidden; zoom: 1;">
			<div class="col-md-2 col-sm-6 upsell-btn">					
					<a style="margin-bottom:20px;margin-left:20px;" href="https://weblizar.com/themes/explora-premium/" target="blank" class="btn btn-success btn"><?php _e('Upgrade to Explora Premium','explora'); ?> </a>
			</div>
			<div class="col-md-4 col-sm-6">
				<img class="enigma_img_responsive " src="<?php echo get_template_directory_uri().'/images/Explora-Responsive.jpg';?>">
			</div>			
			<div class="col-md-3 col-sm-6">
				<h3 style="margin-top:10px;margin-left: 20px;text-decoration:underline;color:#333;"><?php echo _e( 'Explora Premium-Features','explora'); ?></h3>
					<ul style="padding-top:20px">
						<li class="upsell-enigma"> <div class="dashicons dashicons-yes"></div> <?php _e('Fully Responsive Designs','explora'); ?> </li>						
						<li class="upsell-enigma"> <div class="dashicons dashicons-yes"></div> <?php _e('Unlimited Color Scheme','explora'); ?> </li>
						<li class="upsell-enigma"> <div class="dashicons dashicons-yes"></div> <?php _e('Easy Customizartzed Option Panel','explora'); ?> </li>
						<li class="upsell-enigma"> <div class="dashicons dashicons-yes"></div> <?php _e('Multiple Template','explora'); ?></li>
						<li class="upsell-enigma"> <div class="dashicons dashicons-yes"></div> <?php _e('Woo Commerce Ready Theme','explora'); ?></li>
						<li class="upsell-enigma"> <div class="dashicons dashicons-yes"></div> <?php _e('WPML Compatible','explora'); ?>   </li>
						<li class="upsell-enigma"> <div class="dashicons dashicons-yes"></div> <?php _e('HTML 5 & Css3','explora'); ?>   </li>
						<li class="upsell-enigma"> <div class="dashicons dashicons-yes"></div> <?php _e('Coming Soon Mode','explora'); ?>	
						<li class="upsell-enigma"> <div class="dashicons dashicons-yes"></div> <?php _e('Theme Option Panel','explora'); ?> </li>
						<li class="upsell-enigma"> <div class="dashicons dashicons-yes"></div> <?php _e('Shortcode','explora'); ?> </li>
						<li class="upsell-enigma"> <div class="dashicons dashicons-yes"></div> <?php _e('Customs Widgets','explora'); ?> </li>
						<li class="upsell-enigma"> <div class="dashicons dashicons-yes"></div> <?php _e('Box Layout','explora'); ?>  </li>
					
					</ul>
			</div>
			<div class="col-md-2 col-sm-6 upsell-btn">					
					<a style="margin-bottom:20px;margin-left:20px;" href="https://weblizar.com/themes/explora-premium/" target="blank" class="btn btn-success btn"><?php _e('Upgrade to Explora Premium','explora'); ?> </a>
			</div>
			<span class="customize-control-title"><?php _e( 'Enjoying Explora?', 'explora' ); ?></span>
			<p>
				<?php
					printf( __( 'If you Like our Products , Please do Rate us on %sWordPress.org%s?  We\'d really appreciate it!', 'explora' ), '<a target="" href="https://wordpress.org/support/view/theme-reviews/explora?filter=5">', '</a>' );
				?>
			</p>
		</label>
		<?php
	}
}
endif;
?>